<?php
class MoonyTest extends UnitTestCase
{
    var $moony;

    function setUp()
    {
        $this->moony =& new Moony();
    }

    function testSetControllerDir()
    {
        $this->moony->setControllerDir('/path/to/controllers');
        $this->assertEqual('/path/to/controllers', $this->moony->controller_dir);
        $this->moony->setControllerDir('/path/to/controllers/');
        $this->assertEqual('/path/to/controllers', $this->moony->controller_dir);
    }

    function testSetTemplateDir()
    {
        $this->moony->setTemplateDir('/path/to/tesmplates');
        $this->assertEqual('/path/to/tesmplates', $this->moony->template_dir);
        $this->moony->setTemplateDir('/path/to/tesmplates/');
        $this->assertEqual('/path/to/tesmplates', $this->moony->template_dir);
    }

    function testSetInputEncoding()
    {
        $this->moony->setInputEncoding('SJIS-win');
        $this->assertEqual('SJIS-win', $this->moony->input_encoding);
    }

    function testSetOutputEncoding()
    {
        $this->moony->setOutputEncoding('SJIS-win');
        $this->assertEqual('SJIS-win', $this->moony->output_encoding);
    }

    function testSetInternalEncoding()
    {
        $this->moony->setInternalEncoding('UTF-8');
        $this->assertEqual('UTF-8', $this->moony->internal_encoding);
    }
}
?>
